# $Revision: 1.13 $, $Date: 2009/01/06 20:18:23 $
#
# Conditional build:
%bcond_without  kerberos5       # without kerberos5 support
#
%define		_version_major	3.3.0
%define		_version_minor	1
Summary:	Modified openssh client, used by nxclient
Summary(pl.UTF-8):	Zmodyfikowany klient openssh używany przez nxclienta
Name:		nxssh
Version:	%{_version_major}.%{_version_minor}
Release:	1
License:	GPL
Group:		X11/Applications/Networking
#Source0Download: http://www.nomachine.com/sources.php
Source0:	http://web04.nomachine.com/download/%{_version_major}/sources/%{name}-%{_version_major}-%{_version_minor}.tar.gz
# Source0-md5:	e9bb4c1cd61c42db9626894845fcf3f7
URL:		http://www.nomachine.com/
BuildRequires:	autoconf
%{?with_kerberos5:BuildRequires:	krb5-devel}
BuildRequires:	libwrap-devel
BuildRequires:	nxcomp-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Modified openssh client, used by nxclient.

%description -l pl.UTF-8
Zmodyfikowany klient openssh używany przez nxclienta.

%prep
%setup -q -n %{name}

%build
%{__autoconf}
%configure \
	PERL=%{__perl} \
	--with-dns \
	--with-pam \
	--with-mantype=man \
	--with-md5-passwords \
	--with-ipaddr-display \
	%{?with_libedit:--with-libedit} \
	--with-4in6 \
	--disable-suid-ssh \
	--with-tcp-wrappers \
	%{?with_ldap:--with-libs="-lldap -llber"} \
	%{?with_ldap:--with-cppflags="-DWITH_LDAP_PUBKEY"} \
	%{?with_kerberos5:--with-kerberos5} \
	--with-privsep-path=%{_privsepdir} \
	--with-pid-dir=%{_localstatedir}/run \
	--with-xauth=%{_bindir}/xauth \
	--enable-utmpx \
	--enable-wtmpx

echo '#define LOGIN_PROGRAM		   "/bin/login"' >>config.h

%{__make} nxssh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install %{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nxssh.spec,v $
Revision 1.13  2009/01/06 20:18:23  paszczus
- updated to 3.3.0-1

Revision 1.12  2008/08/17 03:19:36  aredridel
- 3.2.0.1

Revision 1.11  2007/03/31 22:23:25  baggins
- rel 2
- s/heimdal/krb5/
- removed now obsolete heimdal patch

Revision 1.10  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.8  2006/11/19 15:53:21  qboosh
- sorted

Revision 1.7  2006/11/19 12:35:38  undefine
- BR: libwrap-devel

Revision 1.6  2006/11/19 10:41:34  adasi
- up to 2.0.0, working

Revision 1.5  2006/08/09 06:56:06  arekm
- rel 2

Revision 1.4  2006/05/23 19:11:15  qboosh
- pl, bcond header

Revision 1.3  2006/05/21 13:14:21  arekm
- libwrap not needed

Revision 1.2  2006/05/21 13:10:50  arekm
- builds

Revision 1.1  2006/05/21 12:21:25  arekm
- new spec
